Bug 1333817 - python-flask-classy: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-flask-classy: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask-classy
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yohan Graterol
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:22 UTC by Tomas Orsava
Modified: 2016-09-07 11:37 UTC (History)
4 users (show)

Fixed In Version: python-flask-classy-0.6.10-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:37:16 UTC
dkrejci: needinfo? (yohangraterol92)
mhroncok: needinfo? (yohangraterol92)


Attachments (Terms of Use)
add Python 3 & update version (3.25 KB, patch)
2016-07-13 12:28 UTC, Dominika Krejčí
no flags Details | Diff
new version and Python3 support (3.37 KB, patch)
2016-08-08 08:51 UTC, Lumír Balhar
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:22:55 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-07-13 12:28:51 UTC
Created attachment 1179233 [details]
add Python 3 & update version

Hi Yohan,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14883130

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 2 Jan Kurik 2016-07-26 05:13:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Lumír Balhar 2016-08-08 08:51:40 UTC
Created attachment 1188573 [details]
new version and Python3 support

I am providing rebased and modified patch.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15171523

Comment 4 Miro Hrončok 2016-08-16 10:51:28 UTC
Yohan,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.